%global lua_version 5.3
%global lua_libdir %{_libdir}/lua/%{lua_version}
%global lua_pkgdir %{_datadir}/lua/%{lua_version}

%global libmpack_version 1.0.5

Name:           lua-mpack
Version:        1.0.8
Release:        %mkrel 2
License:        MIT
Summary:        Implementation of MessagePack for Lua
Group:          Development/Other
Url:            https://github.com/libmpack/libmpack-lua
Source0:        https://github.com/libmpack/libmpack-lua/archive/%{version}/libmpack-lua-%{version}.tar.gz
Source1:        https://github.com/libmpack/libmpack/archive/%{libmpack_version}/libmpack-%{libmpack_version}.tar.gz
Source2:        test_mpack.lua
BuildRequires:  libtool
BuildRequires:  lua%{lua_version}
BuildRequires:  lua%{lua_version}-devel
Requires:	lua%{lua_version}

%description
mpack is a small binary serialization/RPC library that implements
both the msgpack and msgpack-rpc specifications.

%prep
%setup -q -n libmpack-lua-%{version}
%autopatch -p1

mkdir mpack-src
pushd mpack-src
tar xfz %{SOURCE1} --strip-components=1
popd

%build
%set_build_flags
%make_build \
     USE_SYSTEM_LUA=yes \
     MPACK_LUA_VERSION=%{lua_version} \
     LUA_LIB="$(pkg-config --libs lua)" \
     LIBS='-llua'

%install
%make_install \
     USE_SYSTEM_LUA=yes \
     LUA_CMOD_INSTALLDIR=%{lua_libdir}

%check
lua %{SOURCE2}

%files
%doc README.md
%{lua_libdir}/mpack.so


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.0.8-2.mga8
+ Revision: 1527210
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Wed Jul 10 2019 wally <wally> 1.0.8-1.mga8
+ Revision: 1419932
- new version 1.0.8

* Sun Sep 23 2018 umeabot <umeabot> 1.0.7-2.mga7
+ Revision: 1299373
- Mageia 7 Mass Rebuild

* Fri Apr 27 2018 daviddavid <daviddavid> 1.0.7-1.mga7
+ Revision: 1222910
- new version: 1.0.7
- switch to lua 5.3

* Sun Oct 29 2017 wally <wally> 1.0.6-1.mga7
+ Revision: 1174737
- import lua-mpack (based on .spec from Fedora)

